Almalinux 9 prevents Owncloud

After upgrading to Almalinux 9 I found that Owncloud demands a PHP version 7, while Almalinux 9 comes wits PHP 8. Since I did not want to follow some hints on the Internet to install PHP 7 from obscure sources, I migrated to a Nextcloud snap installation, which works great.

I’ve noticed that owncloud repos are getting increasingly unstable and had wondered about moving to nextcloud. However, whilst nextcloud is in EPEL8, I see that it is missing from EPEL9. Does anyone know of any cloud servers that are available for both Alma8 and Alma9 without going to “foreign” repos like OpenSuSE?